FROM eclipse-temurin:25-jdk-jammy
MAINTAINER TongTongStudio  <tongtongstudios@gmail.com>
RUN mv /etc/apt/sources.list /etc/apt/sources.list.bak

RUN mkdir -p /data/uploads/

VOLUME /tmp
ADD target/*.jar app.jar
EXPOSE 8088
ENTRYPOINT ["java", "-jar", "/app.jar"]